libqxp::LineStyle Struct Reference

`#include <QXPTypes.h>`

## Public Member Functions

| LineStyle ()
| LineStyle (std::vector< double > segments, bool proportional, double pattern, LineCapType endcap, LineJoinType join)

## Public Attributes

std::vector< double > | segmentLengths
bool | isStripe
bool | isProportional
double | patternLength
LineCapType | endcapType
LineJoinType | joinType

## Constructor & Destructor Documentation

## LineStyle() [1/2]

libqxp::LineStyle::LineStyle | ( |  | ) |

inline

## LineStyle() [2/2]

libqxp::LineStyle::LineStyle | ( | std::vector< double > | segments,
|  | bool | proportional,
|  | double | pattern,
|  | LineCapType | endcap,
|  | LineJoinType | join )

inline

## Member Data Documentation

## endcapType

LineCapType libqxp::LineStyle::endcapType

Referenced by LineStyle(), LineStyle(), and libqxp::QXPContentCollector::writeFrame().

## isProportional

bool libqxp::LineStyle::isProportional

Referenced by LineStyle(), LineStyle(), and libqxp::QXPContentCollector::writeFrame().

## isStripe

bool libqxp::LineStyle::isStripe

Referenced by LineStyle(), LineStyle(), and libqxp::QXPContentCollector::writeFrame().

## joinType

LineJoinType libqxp::LineStyle::joinType

Referenced by LineStyle(), LineStyle(), and libqxp::QXPContentCollector::writeFrame().

## patternLength

double libqxp::LineStyle::patternLength

Referenced by LineStyle(), LineStyle(), and libqxp::QXPContentCollector::writeFrame().

## segmentLengths

std::vector<double> libqxp::LineStyle::segmentLengths

Referenced by LineStyle(), LineStyle(), and libqxp::QXPContentCollector::writeFrame().

The documentation for this struct was generated from the following file:

- QXPTypes.h